Partial update purchase (draft only)
curl --request PATCH \
--url https://api.piriod.com/purchases/{id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'x-simple-workspace: <x-simple-workspace>' \
--data '
{
"supplier": "<string>",
"document": 123,
"number": 123,
"date": "2023-12-25",
"lines": [
{
"name": "<string>",
"amount": 123,
"quantity": 123,
"description": "<string>",
"exempt": false,
"tax": 123,
"tax_percent": 123,
"discount": 123,
"code": "<string>",
"code_scheme": "<string>",
"retention": 123,
"retention_percent": 0
}
],
"due_date": "2023-12-25",
"note": "<string>",
"amount": 123,
"exempt": 123,
"tax": 123,
"tax_percent": 123,
"subtotal": 123,
"total": 123,
"retention": 123,
"discount": 123,
"tax_settings": {},
"metadata": {}
}
'import requests
url = "https://api.piriod.com/purchases/{id}/"
payload = {
"supplier": "<string>",
"document": 123,
"number": 123,
"date": "2023-12-25",
"lines": [
{
"name": "<string>",
"amount": 123,
"quantity": 123,
"description": "<string>",
"exempt": False,
"tax": 123,
"tax_percent": 123,
"discount": 123,
"code": "<string>",
"code_scheme": "<string>",
"retention": 123,
"retention_percent": 0
}
],
"due_date": "2023-12-25",
"note": "<string>",
"amount": 123,
"exempt": 123,
"tax": 123,
"tax_percent": 123,
"subtotal": 123,
"total": 123,
"retention": 123,
"discount": 123,
"tax_settings": {},
"metadata": {}
}
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-simple-workspace': '<x-simple-workspace>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
supplier: '<string>',
document: 123,
number: 123,
date: '2023-12-25',
lines: [
{
name: '<string>',
amount: 123,
quantity: 123,
description: '<string>',
exempt: false,
tax: 123,
tax_percent: 123,
discount: 123,
code: '<string>',
code_scheme: '<string>',
retention: 123,
retention_percent: 0
}
],
due_date: '2023-12-25',
note: '<string>',
amount: 123,
exempt: 123,
tax: 123,
tax_percent: 123,
subtotal: 123,
total: 123,
retention: 123,
discount: 123,
tax_settings: {},
metadata: {}
})
};
fetch('https://api.piriod.com/purchases/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supplier": "<string>",
"document": 123,
"number": 123,
"date": "2023-12-25",
"lines": [
{
"name": "<string>",
"amount": 123,
"quantity": 123,
"id": 123,
"description": "<string>",
"exempt": false,
"tax": 123,
"tax_percent": 123,
"total": 123,
"discount": 123,
"code": "<string>",
"code_scheme": "<string>",
"retention": 123,
"retention_percent": 0
}
],
"id": 123,
"due_date": "2023-12-25",
"note": "<string>",
"amount": 123,
"exempt": 123,
"tax": 123,
"tax_percent": 123,
"subtotal": 123,
"total": 123,
"total_adjusted": 123,
"retention": 123,
"discount": 123,
"tax_settings": {},
"biller_status": "<string>",
"tax_agency": {},
"local_file": "<string>",
"imported": true,
"test_mode": true,
"metadata": {},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}Purchases
Partial update purchase (draft only)
PATCH
/
purchases
/
{id}
/
Partial update purchase (draft only)
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Path Parameters
Resource identifier.
Body
application/json
Supplier ID.
Purchase-document type ID.
Show child attributes
Show child attributes
Maximum string length:
100Available options:
%, $ Country-specific tax-agency configuration.
Response
200 - application/json
Updated purchase.
Supplier ID.
Purchase-document type ID.
Show child attributes
Show child attributes
Maximum string length:
100Available options:
%, $ Country-specific tax-agency configuration.
Available options:
draft, finalized ⌘I
